- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- File List
- File Members

Classes | Functions

# qsize.h File Reference

`#include <QtCore/qnamespace.h>`

Go to the source code of this file.

## Classes
class | QSize
class | QSizeF
## Functions
| Q_DECLARE_TYPEINFO (QSize, Q_MOVABLE_TYPE)
Q_CORE_EXPORT QDataStream & | operator<< (QDataStream &, const QSize &)
Q_CORE_EXPORT QDataStream & | operator>> (QDataStream &, QSize &)
bool | operator== (const QSize &s1, const QSize &s2)
bool | operator!= (const QSize &s1, const QSize &s2)
const QSize | operator+ (const QSize &s1, const QSize &s2)
const QSize | operator- (const QSize &s1, const QSize &s2)
const QSize | operator* (const QSize &s, qreal c)
const QSize | operator* (qreal c, const QSize &s)
const QSize | operator/ (const QSize &s, qreal c)
Q_CORE_EXPORT QDebug | operator<< (QDebug, const QSize &)
| Q_DECLARE_TYPEINFO (QSizeF, Q_MOVABLE_TYPE)
Q_CORE_EXPORT QDataStream & | operator<< (QDataStream &, const QSizeF &)
Q_CORE_EXPORT QDataStream & | operator>> (QDataStream &, QSizeF &)
bool | operator== (const QSizeF &s1, const QSizeF &s2)
bool | operator!= (const QSizeF &s1, const QSizeF &s2)
const QSizeF | operator+ (const QSizeF &s1, const QSizeF &s2)
const QSizeF | operator- (const QSizeF &s1, const QSizeF &s2)
const QSizeF | operator* (const QSizeF &s, qreal c)
const QSizeF | operator* (qreal c, const QSizeF &s)
const QSizeF | operator/ (const QSizeF &s, qreal c)
Q_CORE_EXPORT QDebug | operator<< (QDebug, const QSizeF &)

## Function Documentation

Q_DECLARE_TYPEINFO | ( | QSize | ,
|  | Q_MOVABLE_TYPE |
| ) |  |

Search for all occurrences

Q_CORE_EXPORT QDataStream& operator<< | ( | QDataStream & | ,
|  | const QSize & |
| ) |  |

Q_CORE_EXPORT QDataStream& operator>> | ( | QDataStream & | ,
|  | QSize & |
| ) |  |

bool operator== | ( | const QSize & | s1,
|  | const QSize & | s2
| ) |  | `[inline]`

Definition at line 156 of file qsize.h.

    { return s1.wd == s2.wd && s1.ht == s2.ht; }

bool operator!= | ( | const QSize & | s1,
|  | const QSize & | s2
| ) |  | `[inline]`

Definition at line 159 of file qsize.h.

    { return s1.wd != s2.wd || s1.ht != s2.ht; }

const QSize operator+ | ( | const QSize & | s1,
|  | const QSize & | s2
| ) |  | `[inline]`

Definition at line 162 of file qsize.h.

    { return QSize(s1.wd+s2.wd, s1.ht+s2.ht); }

const QSize operator- | ( | const QSize & | s1,
|  | const QSize & | s2
| ) |  | `[inline]`

Definition at line 165 of file qsize.h.

    { return QSize(s1.wd-s2.wd, s1.ht-s2.ht); }

const QSize operator* | ( | const QSize & | s,
|  | qreal | c
| ) |  | `[inline]`

Definition at line 168 of file qsize.h.

    { return QSize(qRound(s.wd*c), qRound(s.ht*c)); }

const QSize operator* | ( | qreal | c,
|  | const QSize & | s
| ) |  | `[inline]`

Definition at line 171 of file qsize.h.

    { return QSize(qRound(s.wd*c), qRound(s.ht*c)); }

const QSize operator/ | ( | const QSize & | s,
|  | qreal | c
| ) |  | `[inline]`

Definition at line 181 of file qsize.h.

    {
        Q_ASSERT(!qFuzzyIsNull(c));
        return QSize(qRound(s.wd/c), qRound(s.ht/c));
    }

Q_CORE_EXPORT QDebug operator<< | ( | QDebug | ,
|  | const QSize & |
| ) |  |

Q_DECLARE_TYPEINFO | ( | QSizeF | ,
|  | Q_MOVABLE_TYPE |
| ) |  |

Search for all occurrences

Q_CORE_EXPORT QDataStream& operator<< | ( | QDataStream & | ,
|  | const QSizeF & |
| ) |  |

Q_CORE_EXPORT QDataStream& operator>> | ( | QDataStream & | ,
|  | QSizeF & |
| ) |  |

bool operator== | ( | const QSizeF & | s1,
|  | const QSizeF & | s2
| ) |  | `[inline]`

Definition at line 314 of file qsize.h.

    { return qFuzzyCompare(s1.wd, s2.wd) && qFuzzyCompare(s1.ht, s2.ht); }

bool operator!= | ( | const QSizeF & | s1,
|  | const QSizeF & | s2
| ) |  | `[inline]`

Definition at line 317 of file qsize.h.

    { return !qFuzzyCompare(s1.wd, s2.wd) || !qFuzzyCompare(s1.ht, s2.ht); }

const QSizeF operator+ | ( | const QSizeF & | s1,
|  | const QSizeF & | s2
| ) |  | `[inline]`

Definition at line 320 of file qsize.h.

    { return QSizeF(s1.wd+s2.wd, s1.ht+s2.ht); }

const QSizeF operator- | ( | const QSizeF & | s1,
|  | const QSizeF & | s2
| ) |  | `[inline]`

Definition at line 323 of file qsize.h.

    { return QSizeF(s1.wd-s2.wd, s1.ht-s2.ht); }

const QSizeF operator* | ( | const QSizeF & | s,
|  | qreal | c
| ) |  | `[inline]`

Definition at line 326 of file qsize.h.

    { return QSizeF(s.wd*c, s.ht*c); }

const QSizeF operator* | ( | qreal | c,
|  | const QSizeF & | s
| ) |  | `[inline]`

Definition at line 329 of file qsize.h.

    { return QSizeF(s.wd*c, s.ht*c); }

const QSizeF operator/ | ( | const QSizeF & | s,
|  | qreal | c
| ) |  | `[inline]`

Definition at line 339 of file qsize.h.

    {
        Q_ASSERT(!qFuzzyIsNull(c));
        return QSizeF(s.wd/c, s.ht/c);
    }

Q_CORE_EXPORT QDebug operator<< | ( | QDebug | ,
|  | const QSizeF & |
| ) |  |